[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# NullEqualityRule

Variable describing what to do when checking for equality of Null values

## Declaration

Source position: variants.pp line 276

`var NullEqualityRule: TNullCompareRule = ncrLoose;`

## Description

NullEqualityRule is checked when the system needs to compare the equality of variants with Null values (operations opCmpEq, opCmpNe). Check TNullCompareRule for a list of allowed values. The default is ncrLoose.

For determining the order (less than, greater than etc.) see NullMagnitudeRule.

## See also

TNullCompareRule |  | Enumeration describing how to handle Null values when comparing variants.
NullMagnitudeRule |  | Variable describing what to do when checking for order of Null values